<!DOCTYPE html>
<html>
<head>
  <title>UPI - Web Programming 101</title>
  <link rel="icon" href="upi.ico" type="image/x-icon" />
  <script src="processing.js"></script>
  <script type="application/processing" data-processing-target="pjs">
    void setup() {
      size(400, 400);

      // The background:
      background(42, 179, 189);

      // The ground:
      fill(65, 252, 87);
      rect(0, 300, 400, 100);

      // The sun:
      fill(255, 204, 0);
      ellipse(80, 64, 100, 100);

      // The snowman:
      fill(400, 400, 400);
      ellipse(200, 300, 150, 150);
      ellipse(200, 200, 110, 110);
      ellipse(200, 140, 70, 70);

    }
  </script>
</head>
<body>
  <h1>Drawing basics</h1>
  <p>Challenge: The Snowman</p>
  <canvas id="pjs"> </canvas>
</body>
</html>
